
<!DOCTYPE HTML>
<html>
  <head>

    <title>DashGL.com</title>

    <meta charset="utf-8" />
    <meta name="viewport"
      content="width=device-width,initial-scale=1.0,user-scalable=no">
    <meta name="description" content="Tutortials for Linux programming using
      GTK, C, and OpenGL" />
    <meta name="keywords" content="Linux,C,OpenGL,Tutorial,GTK">
    <meta name="author" content="Kion">

    <link rel="shortcut icon" href="/img/favicon.png">
    <link rel="stylesheet" type="text/css" href="/css/layout.css" />
  </head>
  <body>

    <div class="title">
      <a href="/Information?file=Mascot"><img
          src="/img/others_20171117_dashgl_dash_cropped_icon.png" /></a>
    </div>

    <header>

      <table>
        <th>
          <h1><a href="index.php">DashGL</a></h1>
        </th>
        <td></td>

        <td><a href='/Brickout'>Brickout</a></td>
        <td><a href='/Invaders'>Invaders</a></td>
        <td><a href='/Astroids' class='selected'>Astroids</a></td>
        <td><a href='/Information'>Information</a></td>

      </table>
    </header>

    <nav id="nav">

      <li><a href='/Brickout'>Brickout</a></li>
      <li><a href='/Invaders'>Invaders</a></li>
      <li><a href='/Astroids' class='selected'>Astroids</a></li>
      <li><a href='/Information'>Information</a></li>

    </nav>

    <section>

      <article>

        <a href="https://github.com/kion-dgl/DashGL-GTK-Astroids-Tutorial">View
          Source on Github</a>

        <p>
          Simple Astroids clone using assets from Kenney's
          <a href="http://kenney.nl/assets/space-shooter-redux">Space Shooter
            Redux</a>
          and <a href="http://kenney.nl/assets/space-shooter-extension">Space
            Shooter Extension</a>.
          The pace of this tutorial will be slightly faster than previous
          tutorials.
          As concepts that were introduced one at a time before will now be
          grouped into
          a single step. This tutorial will not be drastically different from
          the Invaders
          tutorial. We will mainly focus on movement, direction and
          acceleration. And how
          to draw the same sprite multiple times to create a wrapping effect.
        </p>

        <img src="/img/astroids_16.png" width="646" height="512"
          style="border:1px solid #ddd; border-radius: 4px" />

        <h2>Sprite Reference</h2>

        <p>
          In this tutorial we will be using the following sprites from Kenney's
          Space Shooter pack. You are free to replace them with other colors or
          assets from the pack, or replace them with your own images.
        </p>

        <table>
          <tr>
            <th>Player</th>
            <th>Bullet</th>
          </tr>
          <tr>
            <td>
              <img src="/img/player.png" />
            </td>
            <td>
              <img src="/img/bullet.png" />
            </td>
          </tr>
          <tr>
            <th>Astroid</th>
            <th>Gameover</th>
          </tr>
          <tr>
            <td>
              <img src="/img/astroid.png" />
            </td>
            <td>
              <img src="/img/gameover.png" style="background: #9a9a9a;" />
            </td>
          </tr>
        </table>

        <h2>Install Dependencies</h2>

        <p>
          Run the following command to get the dependencies for this
          tutorial. If you are doing these tutorials on a Raspberry Pi, then
          please read the <a href="/Information/Raspberry_Pi/">installation
            instructions</a>.
        </p>

        <p>For Debian and Ubuntu:</p>
        <pre>$ sudo apt-get install libgtk-3-dev libegl1-mesa-dev libepoxy-dev libpng-dev git</pre>
        <p>For Red Hat and Fedora:</p>

        <pre>$ sudo yum install epel-release
$ sudo yum install gtk3-devel mesa-libGL-devel libepoxy-devel libpng-devel git</pre>
        <h2>Approach</h2>

        <p>
          We will implement our project one step at a time. All of the source
          code will be displayed for the main.c file each step. Other files
          will only be displayed when they are created or changed. If you need
          to check for what the project folder looks like at any given step,
          you can follow the Github links on each page to view the file layout.
        </p>

        <p>
          If you have a specific coding style approach then feel free to use
          that.
          If you are new to programming, then this guide recomends separating
          each
          step into it's own folder, copying the previous folder each time.
          That will allow you to go back and double-check a working version in
          case
          something breaks.
        </p>


      </article>

    </section>

    <aside>
      <ul>

        <li><a class='selected' href='/Astroids/Introduction'>Introduction</a></li>
        <li><a href='/Astroids/Open_a_Window'>Open a Window</a></li>
        <li><a href='/Astroids/Draw_a_Triangle'>Draw a Triangle</a></li>
        <li><a href='/Astroids/Shader_Program'>Shader Program</a></li>
        <li><a href='/Astroids/Orthographic_Coordinates'>Orthographic
            Coordinates</a></li>
        <li><a href='/Astroids/Draw_Player_Sprite'>Draw Player
            Sprite</a></li>
        <li><a href='/Astroids/Turn_Left_and_Right'>Turn Left and
            Right</a></li>
        <li><a href='/Astroids/Move_Player_Sprite'>Move Player
            Sprite</a></li>
        <li><a href='/Astroids/Player_Acceleration'>Player
            Acceleration</a></li>
        <li><a href='/Astroids/Player_Position'>Player Position</a></li>
        <li><a href='/Astroids/Draw_Edge_Sprites'>Draw Edge Sprites</a></li>
        <li><a href='/Astroids/Shoot_Bullets'>Shoot Bullets</a></li>
        <li><a href='/Astroids/Fragment_Shader'>Fragment Shader</a></li>
        <li><a href='/Astroids/Draw_Astroid'>Draw Astroid</a></li>
        <li><a href='/Astroids/Astroid_Size'>Astroid Size</a></li>
        <li><a href='/Astroids/Shoot_Astroid'>Shoot Astroid</a></li>
        <li><a href='/Astroids/Split_Astroids'>Split Astroids</a></li>
        <li><a href='/Astroids/Gameover_Screen'>Gameover Screen</a></li>
      </ul>
    </aside>

    <footer>

      <table>
        <tr>
          <td></td><td></td><td><a href='/Astroids/Open_a_Window'>Next
              &gt;&gt;<br>Open a Window</a></td> </tr>
      </table>

      Copyright &copy; 2017 DashGL Project

    </footer>

  </body>

</html>
